Page MenuHomePhabricator

CX2: Show an invite to encourage users to try version 2
Closed, ResolvedPublic

Description

In order to increase the visibility of version 2 of Content Translation for users to try, a switch was added to the translation dashboard (T194387). In addition, an invite with more details can (a) clarify what is the new version, and (b) help user to discover it.

This ticket proposes to show an invite for users to try version 2. This is similar to a previous invite that was shown to ask interested users to participate in relevant research (T194467). However the proposed invite has some particularities to consider:

  • Shown on all dashboard views, for all languages. Unlike the previous invite that was shown only on the "Suggestions" view for a specific set of languages, the new invite will be shown on top of the "suggestions", "in-progress" and "published" lists in their corresponding views, regardless of the languages the user has selected.
  • Ask only until the user makes a choice. We want the invite to be visible until the user selects one of the actions to either enable it or discard the message. In any case, once the user selected one of those actions, the invite will disappear and won't be shown again in the future, even in other wikis (this may require the use of Global preferences APIs).
  • Don't show for users that have already version 2 enabled. If the user has version 2 already enabled, or the user enables it using the switch, it does not make sense to show the invite since the user is aware of the new version already.
  • Remove previous invite for research. We don't want several invites to show at the top of dashboard lists. This invite replaces the previous one that was shown to potential participants for a research study which needs to be removed (or transformed into the new one, whatever is easier).

Text message:

New version available. Try the new version for a more solid editing experience, and share your feedback. You can switch versions anytime to decide which version to use for a new translation.

Actions:

  • "Learn more" points to a documentation page about the new version. Opening in a new tab/window, but not making the invite to disappear.
  • "Enable the new version" enables version 2 as the default in the same way that clicking on the "Try the new version" switch (T194387) would do. The invite will disappear and not shown again for the user.
  • "No, thanks" Hides the invite for the user.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2018, 11:23 AM
Pginer-WMF triaged this task as Normal priority.Sep 19 2018, 11:23 AM
Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.Oct 15 2018, 1:08 PM
Pginer-WMF raised the priority of this task from Normal to High.Nov 12 2018, 11:28 AM
Pginer-WMF updated the task description. (Show Details)Nov 14 2018, 1:38 PM

Change 473537 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Remove research invitation

https://gerrit.wikimedia.org/r/473537

Change 473640 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Show CX2 invite on all dashboard views

https://gerrit.wikimedia.org/r/473640

Change 474470 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Implement accept and dismiss for CX2 invite

https://gerrit.wikimedia.org/r/474470

Change 473537 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Remove research invitation

https://gerrit.wikimedia.org/r/473537

Change 476498 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Build UI interaction when accepting to try CX2

https://gerrit.wikimedia.org/r/476498

Change 473640 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show CX2 invite on all dashboard views

https://gerrit.wikimedia.org/r/473640

Change 474470 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Implement accept and dismiss for CX2 invite

https://gerrit.wikimedia.org/r/474470

Change 476498 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Build UI interaction when accepting to try CX2

https://gerrit.wikimedia.org/r/476498

Change 477449 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Add failure handling for CX2 invite

https://gerrit.wikimedia.org/r/477449

Change 477449 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Add failure handling for CX2 invite

https://gerrit.wikimedia.org/r/477449

Etonkovidova closed this task as Resolved.Dec 13 2018, 11:14 PM
Etonkovidova added a subscriber: Etonkovidova.

@Pginer-WMF Checked in wmf.8 - all works as expected except "Learn more" link is missing - the link is present in the old switch link. Should it be added?

@Pginer-WMF Checked in wmf.8 - all works as expected except "Learn more" link is missing - the link is present in the old switch link. Should it be added?

Given that the invite would be shown for a limited period of time, I think it is not worth making further changes.

It seems the invite is effective in helping to move gradually the translation activity from version 1 to version 2.
Last week (first week with the invite visible during the whole week), 45% of the translations made with Content translation using version 2. Two weeks ago (when the invite was not present), the translations created with the new version were 10%.